Bug 25211 - Missing share icon on OPAC lists page
Summary: Missing share icon on OPAC lists page
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25276
  Show dependency treegraph
 
Reported: 2020-04-20 11:38 UTC by Owen Leonard
Modified: 2020-05-14 21:06 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25211: Add missing share icon to OPAC lists page (1.88 KB, patch)
2020-04-20 11:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25211: Add missing share icon to OPAC lists page (2.00 KB, patch)
2020-04-20 19:50 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 25211: Add missing share icon to OPAC lists page (2.08 KB, patch)
2020-04-24 13:05 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-04-20 11:38:09 UTC
In the list of lists in the OPAC the "Share" link doesn't have an icon.
Comment 1 Owen Leonard 2020-04-20 11:42:27 UTC
Created attachment 103280 [details] [review]
Bug 25211: Add missing share icon to OPAC lists page

This patch adds a Font Awesome icon to the "Share" links on the list of
lists in the OPAC.

To test, apply the patch and log in to the OPAC as a user who has one
or more private lists.

  - Go to Lists -> Your lists
  - In the table of your lists, each list should have a "Share" link
    with an icon.
Comment 2 Bernardo Gonzalez Kriegel 2020-04-20 19:50:32 UTC
Created attachment 103315 [details] [review]
Bug 25211: Add missing share icon to OPAC lists page

This patch adds a Font Awesome icon to the "Share" links on the list of
lists in the OPAC.

To test, apply the patch and log in to the OPAC as a user who has one
or more private lists.

  - Go to Lists -> Your lists
  - In the table of your lists, each list should have a "Share" link
    with an icon.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Don't forget to enable OpacAllowSharingPrivateLists
Works ok
Comment 3 Katrin Fischer 2020-04-22 23:22:14 UTC
I am trying to trest this, but I got real trouble getting the share link to show on master with and without the patch - I did switch on OpacAllowSharingPrivateLists. 

Can someone help?
Comment 4 Jonathan Druart 2020-04-24 10:16:54 UTC
(In reply to Katrin Fischer from comment #3)
> I am trying to trest this, but I got real trouble getting the share link to
> show on master with and without the patch - I did switch on
> OpacAllowSharingPrivateLists. 
> 
> Can someone help?

Pref on, then private link can be shared from the /cgi-bin/koha/opac-shelves.pl?op=list&category=1
Comment 5 Jonathan Druart 2020-04-24 10:18:07 UTC
Owen, on hover the 3 links have different behaviours:
"Edit" is not underlined
"Delete" is not underlined and red
"Shared" is underlined

I think "Shared" should not be underlined.
Comment 6 Owen Leonard 2020-04-24 13:04:51 UTC
(In reply to Jonathan Druart from comment #5)
> I think "Shared" should not be underlined.

I have filed Bug 25276 for that issue.
Comment 7 Jonathan Druart 2020-04-24 13:05:51 UTC
Created attachment 103679 [details] [review]
Bug 25211: Add missing share icon to OPAC lists page

This patch adds a Font Awesome icon to the "Share" links on the list of
lists in the OPAC.

To test, apply the patch and log in to the OPAC as a user who has one
or more private lists.

  - Go to Lists -> Your lists
  - In the table of your lists, each list should have a "Share" link
    with an icon.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Don't forget to enable OpacAllowSharingPrivateLists
Works ok

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2020-04-24 13:06:41 UTC
(In reply to Owen Leonard from comment #6)
> (In reply to Jonathan Druart from comment #5)
> > I think "Shared" should not be underlined.
> 
> I have filed Bug 25276 for that issue.

Thanks and sorry, I thought it came from this patch.
Comment 9 Katrin Fischer 2020-04-25 12:16:24 UTC
(In reply to Jonathan Druart from comment #5)
> Owen, on hover the 3 links have different behaviours:
> "Edit" is not underlined
> "Delete" is not underlined and red
> "Shared" is underlined
> 
> I think "Shared" should not be underlined.

That was not it, it looks like I can't save the syspref change and was missing the error (instead of success) modal:

XHRPOSThttp://localhost:8081/cgi-bin/koha/svc/config/systempreferences/
[HTTP/1.1 500 Internal Server Error 58ms]	
Can't open /var/log/koha/kohadev/opac-error.log (Permission denied) at /usr/share/perl5/Log/Log4perl/Appender/File.pm line 143
Eval {...} at /usr/share/perl5/Log/Log4perl/Appender/File.pm line 138
Log::Log4perl::Appender::File::file_open('Log::Log4perl::Appender::File=HASH(0x55cef5d65b70)') called at /usr/share/perl5/Log/Log4perl/Appender/File.pm line 69
Comment 10 Katrin Fischer 2020-04-27 06:17:36 UTC
> That was not it, it looks like I can't save the syspref change and was
> missing the error (instead of success) modal:
> 
> XHRPOSThttp://localhost:8081/cgi-bin/koha/svc/config/systempreferences/
> [HTTP/1.1 500 Internal Server Error 58ms]	
> Can't open /var/log/koha/kohadev/opac-error.log (Permission denied) at
> /usr/share/perl5/Log/Log4perl/Appender/File.pm line 143
> Eval {...} at /usr/share/perl5/Log/Log4perl/Appender/File.pm line 138
> Log::Log4perl::Appender::File::file_open('Log::Log4perl::Appender::
> File=HASH(0x55cef5d65b70)') called at
> /usr/share/perl5/Log/Log4perl/Appender/File.pm line

Filed bug 25284 for this - unrelated to the change here.
Comment 11 Martin Renvoize 2020-04-27 10:24:53 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 12 Joy Nelson 2020-05-08 20:57:39 UTC
Backported to 19.11.x for 19.11.06
Comment 13 Lucas Gass 2020-05-14 21:06:16 UTC
backported to 19.05.x for 19.05.11